package java.awt.event;

import java.awt.Component;

public class MouseWheelEvent extends MouseEvent
{
    public static final int WHEEL_UNIT_SCROLL = 0;
    public static final int WHEEL_BLOCK_SCROLL = 1;
    int scrollType;
    int scrollAmount;
    int wheelRotation;
    double preciseWheelRotation;
    private static final long serialVersionUID = 6459879390515399677L;
    
    public MouseWheelEvent(Component component, int n, long n2, int n3, int n4, int n5, int n6, boolean b, int n7, int n8, int n9) {
        this(component, n, n2, n3, n4, n5, 0, 0, n6, b, n7, n8, n9);
    }
    
    public MouseWheelEvent(Component component, int n, long n2, int n3, int n4, int n5, int n6, int n7, int n8, boolean b, int n9, int n10, int n11) {
        this(component, n, n2, n3, n4, n5, n6, n7, n8, b, n9, n10, n11, (double)n11);
    }
    
    public MouseWheelEvent(Component component, int n, long n2, int n3, int n4, int n5, int n6, int n7, int n8, boolean b, int scrollType, int scrollAmount, int wheelRotation, double preciseWheelRotation) {
        super(component, n, n2, n3, n4, n5, n6, n7, n8, b, 0);
        this.scrollType = scrollType;
        this.scrollAmount = scrollAmount;
        this.wheelRotation = wheelRotation;
        this.preciseWheelRotation = preciseWheelRotation;
    }
    
    public int getScrollType() {
        return this.scrollType;
    }
    
    public int getScrollAmount() {
        return this.scrollAmount;
    }
    
    public int getWheelRotation() {
        return this.wheelRotation;
    }
    
    public double getPreciseWheelRotation() {
        return this.preciseWheelRotation;
    }
    
    public int getUnitsToScroll() {
        return this.scrollAmount * this.wheelRotation;
    }
    
    @Override
    public String paramString() {
        String str;
        if (this.getScrollType() == 0) {
            str = "WHEEL_UNIT_SCROLL";
        }
        else if (this.getScrollType() == 1) {
            str = "WHEEL_BLOCK_SCROLL";
        }
        else {
            str = "unknown scroll type";
        }
        return super.paramString() + ",scrollType=" + str + ",scrollAmount=" + this.getScrollAmount() + ",wheelRotation=" + this.getWheelRotation() + ",preciseWheelRotation=" + this.getPreciseWheelRotation();
    }
}
